# std::ranges::take_view<V>::sentinel<Const>::sentinel

From cppreference.com
< cpp‎ | ranges‎ | take view‎ | sentinel

/*sentinel*/() = default; | (1) | (since C++20)
constexpr explicit /*sentinel*/( ranges::sentinel_t <Base> end ); | (2) | (since C++20)
constexpr /*sentinel*/( /*sentinel*/<!Const> s ) requires Const && std::convertible_to < ranges::sentinel_t <V>, ranges::sentinel_t <Base>>; | (3) | (since C++20)

Constructs a sentinel.

1) Default constructor. Value-initializes the underlying sentinel.
2) Initializes the underlying sentinel with end.
3) Conversion from /*sentinel*/<false> to /*sentinel*/<true>. Move constructs corresponding members.

### Parameters

end | - | a sentinel representing the end of (possibly const-qualified) `V`
s | - | a /*sentinel*/<false>

### Example

| This section is incomplete Reason: no example

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/ranges/take_view/sentinel/sentinel&oldid=175901"